package com.zoniot.ccrc.dao;

import com.zoniot.ccrc.dto.UseWaterDto;
import com.zoniot.ccrc.entity.MeterReadRecord;
import com.zoniot.ccrc.repository.MongoMeterReadRecord;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface MeterReadRecordMapper {

    List<MeterReadRecord> getList(@Param("deviceId") Long deviceId, @Param("startDate") Integer startDate, @Param("endDate") Integer endDate);

    List<UseWaterDto> getRealTimeUseWater(@Param("deviceId")Long deviceId,
                                          @Param("startDate")Integer startDate,
                                          @Param("endDate") Integer endDate);

    List<UseWaterDto> getUseWaterByMonth(@Param("deviceId")Long deviceId,
                                         @Param("startDate")Integer startDate,
                                         @Param("endDate")Integer endDate);

    Double getDeviceVolume(@Param("deviceId")Long deviceId,
                           @Param("startDate")Integer startDate,
                           @Param("endDate")Integer endDate);

    List<MongoMeterReadRecord> getYesterReadData(
            @Param("deviceId")Long deviceId,
            @Param("date")Integer date);
    int batchInsert(@Param("list") List<MeterReadRecord> list);

    MeterReadRecord findRecordByReadDayAndDeviceId(Long deviceId, Integer readDate);
}
