package com.zoniot.ccrc.dao;


import com.zoniot.ccrc.entity.Community;
import com.zoniot.ccrc.entity.MeterReadRecord;
import com.zoniot.ccrc.entity.MeterRecord;
import com.zoniot.ccrc.entity.WaterMeter;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * (MeterRecord)表数据库访问层
 *
 * @author hym
 * @since 2021-05-21 15:08:37
 */
@Mapper
public interface MeterRecordMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    MeterRecord selectById(Integer id);


    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<MeterRecord> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param meterRecord 实例对象
     * @return 对象列表
     */
    List<MeterRecord> selectList(MeterRecord meterRecord);

    /**
     * 新增数据
     *
     * @param meterRecord 实例对象
     * @return 影响行数
     */
    int insert(MeterRecord meterRecord);

    /**
     * 批量新增
     *
     * @param meterRecords 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(@Param("meterRecords") List<MeterRecord> meterRecords);

    /**
     * 修改数据
     *
     * @param meterRecord 实例对象
     * @return 影响行数
     */
    int update(MeterRecord meterRecord);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();



    MeterRecord get(String registNo);

    void syncDevice(@Param("siteId")String siteId, @Param("deviceId")long deviceId);

    void deleteDevice();


    void syncCell(@Param("siteId")String siteId,
                  @Param("provinceId") String provinceId,
                  @Param("cityId") String cityId,
                  @Param("regionId")String regionId);

    void deleteCell();

    List<Community> getCommunityIds();

    List<WaterMeter> findWaterMeterListWithPage(@Param("offset") int offset
            ,@Param("size") int size);

    void updateReadData(MeterReadRecord meterReadRecord);

    void updateDeviceStatus();



}