package com.zoniot.ccrc.entity;

import lombok.Data;

import java.util.Date;

/**
 * <p>水表</p>
 *
 * @Author wilian.peng
 * @Date 2020/12/22 17:06
 * @Version 1.0
 */
@Data
public class WaterMeter {

    /**
     * 设备id
     */
    private Long deviceId;

    /**
     * 水表类型,1:物联网表,2:远传表
     */
    private Integer waterMeterType ;

    /**
     * 站点
     */
    private Integer siteId;

    /**
     * 场景
     */
    private Integer sysId;

    /**
     * 省
     */
    private Integer province;

    /**
     * 市
     */
    private Integer city;

    /**
     * 区
     */
    private Integer region;

    /**
     * 小区
     */
    private Integer community;

    /**
     * 客户
     */
    private Integer customerId;

    /**
     * 集中器
     */
    private Integer concentratorId;

    /**
     * 采集器
     */
    private Integer collectorId;

    /**
     * 建筑
     */
    private Integer buildingId;

    /**
     * 安装地址
     */
    private String location;

    /**
     * 设备类型
     */
    private Integer deviceTypeId;

    /**
     * 是否支持阀控,0:不支持,1:支持
     */
    private Integer isValve;

    /**
     * 阀门测点
     */
    private String valveMeasuringCode;


    /**
     * 止度测点
     */
    private String readingMeasuringCode;

    /**
     * 节点编号
     */
    private String deviceNo;

    /**
     * 电子号
     */
    private String meterNo;

    /**
     * 档案号
     */
    private String meterFileNo;

    /**
     * 状态
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date dateCreate;

    /**
     * 更新时间
     */
    private Date dateUpdate;

    /**
     * 创建人
     */
    private String createBy;

    /**
     * 更新人
     */
    private String updateBy;

    /**
     * 设备状态
     */
    private Integer deviceStatus ;

    /**
     * 注册状态
     */
    private Integer registerStatus ;
    /***********************************以下字段将存入MongoDB中**************************************/
    private String communityName;

    private String buildingName ;

    private String customerName ;

    private String provinceName ;

    private String cityName ;

    private String regionName ;

    private String deviceTypeName ;

    private String concentratorNo ;

    private String collectorNo ;

    private Integer manufacturerId ;

    private String manufacturerName ;

    private Integer channelNumberId;

    private String channelName ;
    private String registNo;
}
